<?php
/* -----
Start WooCommerce Support
----------------------------- */
function alia_add_woocommerce_support() {
    add_theme_support( 'woocommerce' );
    // add_filter( 'woocommerce_enqueue_styles', '__return_false' );
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );
}
add_action( 'after_setup_theme', 'alia_add_woocommerce_support' );
/* -----
End WooCommerce Support
----------------------------- */

/* -----
Start WooCommerce Scripts
----------------------------- */
function alia_add_woocommerce_scripts() {
    

    if ( is_rtl() ) {
		wp_enqueue_style( 'alia-woocommerce-style', get_stylesheet_directory_uri() . '/inc/woocommerce/alia_woocommerce_rtl.css', array(), wp_get_theme()->get( 'Version' ) );
	}else{
        wp_enqueue_style( 'alia-woocommerce-style', get_stylesheet_directory_uri() . '/inc/woocommerce/alia_woocommerce.css', array(), wp_get_theme()->get( 'Version' ) );
    }

    wp_enqueue_script( 'alia-woocommerce-script', get_stylesheet_directory_uri() . '/inc/woocommerce/alia_woocommerce.js', array( 'jquery', 'alia-global-script' ), wp_get_theme()->get( 'Version' ) );

    global $wp_query;
    wp_localize_script(
        'alia-woocommerce-script',
        'alia_woo_js_elements', 
        array(
            "ajax_url" => admin_url( "admin-ajax.php" ),
            "nonce" => wp_create_nonce()
        )
    );

    wp_enqueue_script('zoom');
    wp_enqueue_script('flexslider');
    wp_enqueue_script('photoswipe-ui-default');
    wp_enqueue_style('photoswipe-default-skin');
    add_action( 'wp_footer', 'woocommerce_photoswipe' );
}
add_action( 'wp_enqueue_scripts', 'alia_add_woocommerce_scripts' );
/* -----
End WooCommerce Scripts
----------------------------- */



/* -----
Start WooCommrece Files inclusion
----------------------------- */
// Include ajax
require get_template_directory( ) . '/inc/woocommerce/woo-ajax.php';

// Modify template with hooks
require get_template_directory( ) . '/inc/woocommerce/woo-template-hooks.php';
/* -----
End WooCommrece Files inclusion
----------------------------- */
?>