<?php 
/* -----
Start remove default hooks
----------------------------- */
remove_all_actions("woocommerce_sidebar");
/* -----
End remove default hooks
----------------------------- */


/* -----
Start modify WooCommerce default components
----------------------------- */
// remove products count notice
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );

// remove reset variant button
add_filter('woocommerce_reset_variations_link', function() {
    return null;
});

// change breadcrumb sep
add_filter( 'woocommerce_breadcrumb_defaults', function($output) {
    $output['delimiter'] = esc_html_x( ' > ', 'Breadcrum Separator', 'pwk' );
    return $output;
} );

/* -----
End modify WooCommerce default components
----------------------------- */

/* -----
Start change pagination arrow
----------------------------- */
add_filter( 'woocommerce_pagination_args', function($output) {
    $output['prev_text'] = is_rtl() ? '<i class="fa fa-angle-right"></i>' : '<i class="fa fa-angle-left"></i>';
    $output['next_text'] = is_rtl() ? '<i class="fa fa-angle-left"></i>' : '<i class="fa fa-angle-right"></i>';

    return $output;
} );
/* -----
End change pagination arrow
----------------------------- */

// change default 'remove from cart' from icon to text
add_filter('woocommerce_cart_item_remove_link', 'remove_icon_and_add_text', 10, 2);
function remove_icon_and_add_text($string, $cart_item_key) {
    $string = str_replace('remove_from_cart_button', 'alia_remove_from_cart_button', $string);
    return $string;
}


?>